@charset "UTF-8";

/* base style
------------------------------------------ */

html {
  font-size: 100%;
}
@media (max-width: 365px) {
  html {
    font-size: 4.2666666667vw;
  }
}
html:focus-within {
  scroll-behavior: auto;
}

body {
  line-height: 1.8;
  font-family: "A1 Gothic R", sans-serif;
  color: var(--black-color);
}

h1,
h2,
h3,
h4,
h5,
h6 {
  line-height: 1.1;
}

ul,
ol {
  margin: 0;
  padding: 0;
  list-style: none;
}

img,
picture {
  display: block;
  width: 100%;
  height: auto;
}

video {
  display: block;
  width: 100%;
  height: auto;
  border: none;
}

svg {
  display: block;
  width: 100%;
  height: auto;
}

address {
  font-style: normal;
}

a {
  color: inherit;
}

button {
  -ms-touch-action: manipulation;
  touch-action: manipulation;
  cursor: pointer;
}

/* display
------------------------------------------ */

.sp {
  display: block;
}
@media (min-width: 600px) {
  .sp {
    display: none;
  }
}

.pc {
  display: none;
}
@media (min-width: 600px) {
  .pc {
    display: block;
  }
}

@media (hover: hover) {
  button:hover {
    cursor: pointer;
  }
  a {
    transition: opacity 0.3s ease;

    &:is(:hover, :focus) {
      opacity: 0.7;
    }
  }
}
